:root {
    --font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    --font-small: 12px;
    --font-medium: 16px;
    --font-large: 20px;
    --font-huge: 25px;
    --font-color: #f0f8ff;

    --background-color: #2A2536;
    --light-blue: #61FBFF;
    --footer-height: 10rem;
}

* {
    padding: 0;
    margin: 0;
}

button {
    border: none;
    background: none;
    color: inherit;
    cursor: pointer;
    outline: inherit;
    font-family: var(--font-family)
}

body {
    background-color: var(--background-color);
    overflow-x: hidden;
}

main {
    display: flex;
    align-items: center;
    flex-direction: column;
    padding-bottom: var(--footer-height);
}

.title {
    display: flex;
    flex-direction: row;
    padding-top: 30px;
}

.title-img {
    width: 100px;
    height: 100px;
}

.title-img img {
    width: 100%;
}

.title-txt {
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: var(--font-family);
    padding-right: 25px;
    font-size: var(--font-huge);
    color: var(--font-color);
}

.section-divider {
    margin: 20px 0;
    background-color: var(--font-color);
    height: 2px;
    width: 90%;
}

.new-task-btn-wrapper {
    margin: 20px 0;
}

.new-task-btn-wrapper button {
    padding: 10px 20px;
    border-radius: 99px;
    font-size: var(--font-medium);
    background-color: var(--light-blue);
}

.tasks-wrapper {
    margin-top: 20px;
    width: 90%;
    justify-content: space-evenly;
    display: flex;
    gap: 50px;
    flex-wrap: wrap;
}

.task-card {
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 1);
}

.task-card, .task-card-empty {
    width: 200px;
    height: 300px;
    border-radius: 50px 10px;
    background-color: rgba(245, 245, 220, 1);
    border: 2px solid rgba(245, 245, 220, 1);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.task-card-empty {
    background-color: transparent;
    border: 2px dashed beige;
}

.task-card-title {
    display: flex;
    align-items: center;
    justify-content: end;
    width: 100%;
    height: 25%;
}

.task-card-title p {
    font-family: var(--font-family);
    font-size: var(--font-large);
    word-wrap: break-word;
    margin-right: 1rem;
    text-align: end;
    margin-left: 30px;
}

.task-card-body {
    display: flex;
    height: 60%;
    width: 100%;
    justify-content: center;
}

.task-card-body p {
    margin: 10px 5px;
    font-family: var(--font-family);
    font-size: var(--font-medium);
}

.task-card-done-wrapper {
    height: 15%;
    width: 100%;
    display: flex;
    justify-content: start;
    align-items: center;
}

.task-card-done-btn {
    font-size: var(--font-large);
    margin-left: 1rem;
}

.tasks-info-wrapper {
    position: fixed;
    bottom: 0;
    margin-bottom: 5rem;
    display: flex;
    z-index: 20;
    flex-direction: column;
    gap: 1rem;
}


.tasks-todo, 
.tasks-done {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
    background-color: var(--background-color);
    padding: 10px 20px;
    border: 3px solid var(--light-blue);
    border-radius: 999px;
    box-shadow: 0 15px 50px rgba(0, 0, 0, 1);
}

.tasks-todo, 
.tasks-todo-num, 
.tasks-done, 
.tasks-done-num{
    color: var(--font-color);
    font-family: var(--font-family);
    font-size: var(--font-large);
}

#page-container {
    position: relative;
    min-height: 100vh;
}


input {
    width: 130px;
    height: 20px;
    font-size: 16px;
    padding: 5px;
    border: 2px solid #ccc;
    border-radius: 5px;
    outline: none;
    background-color: var(--font-color);
    text-align: end;
    font-family: var(--font-family);
    font-size: var(--font-large);
}

footer {
    position: absolute;
    z-index: 10;
    bottom: 0;
    width: 100%;
    height: var(--footer-height);
    font-family: var(--font-family);
    color: var(--font-color);
    display: flex;
    justify-content: center;
    align-items: end;
}

footer div {
    margin-bottom: 30px;
}

footer div a {
    text-decoration: none;
    color: var(--font-color);
}